
{ pkgs, inputs, ... }: {

  imports = [
  ./art.nix
  #./tools.nix
  ];

  environment.systemPackages = with pkgs; [
    #osu-lazer
    inputs.osu-nixos
    pinentry
    wget
    python3
    cyrus-sasl-xoauth2
    libnotify
    networkmanager-openvpn
    eza
    fd
    git
    zoxide
    gnupg
    brightnessctl
    neofetch
    wl-clipboard
    glib
    dracula-theme
    btop
    vimPlugins.nvim-lspconfig
    vimPlugins.nvim-cmp
    vimPlugins.cmp-nvim-lsp
    vimPlugins.luasnip
    vimPlugins.cmp_luasnip
    vimPlugins.tokyonight-nvim
    # temporary home manager things
    inotify-tools
    eww
    jq
    socat
    libimobiledevice
    ifuse
  ];

  nixpkgs.overlays = [
    (final: prev: {
      # Because Luck Smith hasn't released in 2 years
      mutt-wizard = prev.mutt-wizard.overrideAttrs (old: {
        src = prev.fetchFromGitHub {
          owner = "LukeSmithxyz";
          repo = "mutt-wizard";
          rev = "a8863a750a360bad6759f5f2c4df5d2001b31e18";
          hash = "sha256-8zPkzQ1Tt9t8G+uCKybBm4yMqfF2y4L7nmuaWWz9t6s=";
        };
      });
    })
  ];

  fonts.packages= with pkgs; [
    noto-fonts
    noto-fonts-emoji
    liberation_ttf
    nerdfonts
    ipafont
  ];

}
